# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::EditInterfaceExt Class Reference

This is the main interface for accessing and modifying text of the Document class. More...

`#include <editinterfaceext.h>`

List of all members.

## Public Member Functions

uint | editInterfaceExtNumber () const
virtual void | editBegin ()=0
virtual void | editEnd ()=0

## Friends

class | PrivateEditInterfaceExt

## Detailed Description

This is the main interface for accessing and modifying text of the Document class.

Definition at line 34 of file editinterfaceext.h.

## Member Function Documentation

virtual void KTextEditor::EditInterfaceExt::editBegin | ( |  | ) | `[pure virtual]`

| Begin an editing sequence. Edit commands during this sequence will be bunched together such that they represent a single undo command in the editor, and so that repaint events do not occur inbetween. Your application should not return control to the event loop while it has an unterminated (no matching editEnd() call) editing sequence (result undefined) - so do all of your work in one go...

virtual void KTextEditor::EditInterfaceExt::editEnd | ( |  | ) | `[pure virtual]`

| End and editing sequence.

The documentation for this class was generated from the following files:

- editinterfaceext.h
- editinterfaceext.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003